### Function

# Clutter threads_add_timeout

#### Declaration [src]

    guint
    clutter_threads_add_timeout (
      guint interval,
      GSourceFunc func,
      gpointer data
    )

#### Description [src]

Simple wrapper around clutter_threads_add_timeout_full().

This function is not directly available to language bindings.

The implementation of this function is provided by `clutter_threads_add_timeout_full()` in language bindings.

#### Parameters

`interval`

  Type: `guint`

  The time between calls to the function, in milliseconds.

`func`

  Type: `GSourceFunc`

  Function to call.

`data`

  Type: `gpointer`

  Data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The ID (greater than 0) of the event source.